﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

using OpenGL4NET;
using System.Drawing;
using System.Windows.Forms;

namespace Semestralka
{
    class NactiPole
    {
        static int size = 128;
        static String file = "mapa128x128.raw";

        public static float[][] nactiPole()
        {
            BinaryReader br = new BinaryReader(File.Open(file, FileMode.Open));

            float[][] vysky = new float[size][];

            try
            {
                for (int z = 0; z<size; z++)
                {
                    vysky[z] = new float[128];

                    for (int x = 0; x < size; x++)
                    {
                        vysky[z][x] = br.ReadByte() / 10f;
                    }
                }
            }
            catch (EndOfStreamException) { }
            finally
            {
                br.Close();
            }
            
            return vysky;
        }
    }
}
