﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

using OpenGL4NET;
using System.Drawing;
using System.Windows.Forms;

namespace Semestralka
{
    class Program
    {
        static int size = 128;
        static String file = "mapa128x128.raw";

        static void program(string[] args)
        {
            System.Console.Out.WriteLine("Zacatek.");

            BinaryReader br = new BinaryReader(File.Open(file, FileMode.Open));
            System.Console.Out.WriteLine("Soubor " + file + " otevren.");

            byte[][] vysky = new byte[size][];

            try
            {
                for (int y = 0; y < size; y++)
                {
                    vysky[y] = new byte[128];

                    for (int x = 0; x < size; x++)
                    {
                        vysky[y][x] = br.ReadByte();
                        // System.Console.Out.Write(vysky[y][x] + " ");
                    }

                    // System.Console.Out.Write("\n");
                }
            }
            catch (EndOfStreamException) { }
            finally
            {
                br.Close();
            }

            System.Console.Out.WriteLine("Konec.");
        }
    }
}
